ROX-CLib: applet.c File Reference

- Main Page
- Data Structures
- Files
- Related Pages

- File List
- Globals

# applet.c File Reference

Implementing ROX applets. More...

`#include "rox-clib.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <X11/Xlib.h>`
`#include <gtk/gtk.h>`
`#include <gdk/gdkx.h>`
`#include "rox.h"`
`#include "error.h"`
`#include "rox_debug.h"`
`#include "applet.h"`

## Functions
ROXAppletInfo * | rox_applet_get_position (GtkWidget *plug)
ROXAppletInfo * | applet_get_position (GtkWidget *plug)
void | rox_applet_popup_menu (GtkWidget *plug, GtkWidget *menu, GdkEventButton *evbut)
void | applet_popup_menu (GtkWidget *plug, GtkWidget *menu, GdkEventButton *evbut)

## Detailed Description

Implementing ROX applets.

Version:
  Id
    applet.c,v 1.8 2006/08/12 17:04:56 stephen Exp

Author:
  Stephen Watson stephen@kerofin.demon.co.uk

## Function Documentation

ROXAppletInfo* applet_get_position | ( | GtkWidget * | plug | ) |

Return the location of an applet's icon.

Parameters:

  `[in]` | plug | the widget that the applet created in the panel.

Returns:
  pointer to applet info, pass to g_free() when done.

Deprecated:
  Use rox_applet_get_position() instead.

void applet_popup_menu | ( | GtkWidget * | plug,
|  | GtkWidget * | menu,
|  | GdkEventButton * | evbut |
| ) |  |  |

Popup a menu in the appropriate place for an applet's icon.

Parameters:

  `[in,out]` | plug | the GtkPlug object used to hold the applet
  `[in]` | menu | the menu to show
  `[in]` | evbut | the button event that triggered the menu, or `NULL` if the menu was triggered by some other means

Deprecated:
  Use rox_applet_popup_menu() instead.

ROXAppletInfo* rox_applet_get_position | ( | GtkWidget * | plug | ) |

Return the location of an applet's icon.

Parameters:

  `[in]` | plug | the widget that the applet created in the panel.

Returns:
  pointer to applet info, pass to g_free() when done.

void rox_applet_popup_menu | ( | GtkWidget * | plug,
|  | GtkWidget * | menu,
|  | GdkEventButton * | evbut |
| ) |  |  |

Popup a menu in the appropriate place for an applet's icon.

Parameters:

  `[in,out]` | plug | the GtkPlug object used to hold the applet
  `[in]` | menu | the menu to show
  `[in]` | evbut | the button event that triggered the menu, or `NULL` if the menu was triggered by some other means